Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 36060

Summary: MailScanner ebuild
Product: Gentoo Linux Reporter: Chris Bond <chris>
Component: New packagesAssignee: Markus Ullmann (RETIRED) <jokey>
Status: RESOLVED FIXED    
Severity: enhancement CC: arjan, chris, ckdake, cslyon, dcmwai, empirical.humanist, gstag, hybiepoo, inbox-gentoo, jeremy, kevin, koon, krinpaus, l.mierzwa, lordvan, Mark, matsuu, matthias, me, merkaba, net-mail+disabled, philantrop, philip, r.brown, scorpiusf, uxbod, vagabond_king, vroman, wmartino
Priority: High Keywords: EBUILD, InOverlay
Version: unspecified   
Hardware: x86   
OS: All   
URL: http://www.mailscanner.info/
Whiteboard: [sunrise-overlay]
Package list:
Runtime testing required: ---
Bug Depends on: 46332, 46897    
Bug Blocks:    
Attachments: MailScanner-4.25.ebuild
mailscanner.initd
mailscanner.initd
newest stable ebuild
MailScanner-4.28.6-r1.ebuild
MailScanner-4.28.6-r1.ebuild
MailScanner-4.28.6-r1.ebuild revised
mailscanner.initd revised
postfix.in init
sendmail.in init
MailScanner-4.28.6-r2.ebuild
MailScanner-4.28.6-r2.ebuild take two
Updated MailScanner ebuild
MailScanner-4.28.6-r4.ebuild
First 4.29.7 ebuild
conf.d/mailscanner
conf.d/sendmail
conf.d/sendmail.in
cron.hourly/check_MailScanner
cron.hourly/update_virus_scanners
init,d/mailscanner
init.d/sendmail
init.d/sendmail.in
initd.mailscanner-mta
confd.mailscanner-mta
confd.mailscanner-mta
initd.mailscanner
4.30.1-1 [TEST PACKAGE] ebuild
4.30.3-r1 ebuild
initd.mailscanner
initd.mailscanner-mta
confd.mailscanner
initd.mailscanner
4.30.3-r2 ebuild
MailScanner-4.31.6 complete portage dir
MailScanner-4.32.5-1 complete portage dir plus tnef 1.2.3.1 update (tar.gz)
MailScanner-portage-dir-4.34.8.1
MailScanner-portage-dir-4.34.8.1-r1.tar.gz
MailScanner-portage-dir-4.35.11.1.tar.gz
MailScanner-4.38.9 complete portage dir
MailScanner-portage-dir-4.39.5-1.tar.gz
MailScanner-portage-dir-4.43.2-1.tar.gz
MailScanner-portage-dir-4.43.2-1.tar.gz (better)
Updated for latest version of mailscanner and its dependancies, also fixed gentoo package change of libnet
MailScanner-portage-dir-4.50.15-1.tar.gz
Updated overlay directory
MailScanner-4.54.6.1.ebuild
Filesystem::Df support
MailScanner-4.54.6.1.ebuild
Stable Mailscanner 4.55.10-3 ebuild
tnef-1.4.3.ebuild

Description Chris Bond 2003-12-18 05:39:18 UTC
MailScanner ebuild - you could use this as a starting point:

http://cvs.berlios.de/cgi-bin/viewcvs.cgi/gentoo-deutsch/ebuilds/net-mail/MailScanner/
Comment 1 Thierry Carrez (RETIRED) gentoo-dev 2003-12-22 09:04:00 UTC
I need this too. I will test the ebuild provided here and report success/failure
Note the 35078 is a dupe.
Comment 2 Thierry Carrez (RETIRED) gentoo-dev 2004-01-23 03:01:22 UTC
Add to modify a few things post-emerge to get it to work (using mcafee as an antivirus) :

* incorrect bindir in /opt/MailScanner/bin/check_mailscanner
* directory in /opt/MailScanner/lib/mcafee-autoupdate is incompatible with where the "vlnx" package installs its stuff (/opt/vlnx)
* /opt/MailScanner/lib/mcafee-* must be executables (as should probably be all /opt/MailScanner/lib files).

Hope this helps.
Comment 3 Chetan Sarva 2004-01-28 15:32:56 UTC
Did you create an updated ebuild? If so, can you attach it?
Comment 4 Thierry Carrez (RETIRED) gentoo-dev 2004-01-29 08:11:14 UTC
Sorry I didn't.

I can learn ebuild syntax and submit one if needed. On vacation next week though, so it will have to wait a little...

Note:
about the mcafee-autoupdate incompatibility, in fact it's not a problem since the directory can be specified as an argument.
Comment 5 Chetan Sarva 2004-01-29 15:44:00 UTC
Created attachment 24603 [details]
MailScanner-4.25.ebuild
Comment 6 Chetan Sarva 2004-01-29 15:45:46 UTC
Created attachment 24604 [details]
mailscanner.initd

an init script for MailScanner. I forgot to mention that the ebuild also
requires the Net-CIDR perl module. Ebuild can be found here:

http://bugs.gentoo.org/show_bug.cgi?id=35795
Comment 7 Chetan Sarva 2004-01-29 20:39:46 UTC
Created attachment 24614 [details]
mailscanner.initd

Fixed a small typo in the previous version.
Comment 8 Thierry Carrez (RETIRED) gentoo-dev 2004-03-04 02:47:23 UTC
Modifications needed on the latest posted ebuild to have it work with the net-mail/vlnx package (McAfee antivirus) :

----------------------
diff MailScanner-4.25.ebuild.orig MailScanner-4.25.ebuild.forvlnx
53a54,56
>       # Correct mcafee package location
>       sed -i "s/PREFIX=\/usr\/local\/uvscan/PREFIX=\/opt\/vlnx/" ${S}/lib/mcafee-autoupdate
>
83c86,91
<
---
>
>       # mcafee-wrapper and mcafee-autoupdate must be executables
>       exeinto ${BASE}/lib
>       doexe   lib/mcafee-wrapper
>       doexe   lib/mcafee-autoupdate
>
----------------------------

You also have to change the mcafee line in /etc/MailScanner/virus.scanners.conf to :

mcafee          /opt/MailScanner/lib/mcafee-wrapper     /opt/vlnx

but I'm not too sure the ebuild has to do that.
I bumped the version to 4.28.4-1 with success.

Hope this helps
Comment 9 FieldySnuts 2004-03-04 07:27:59 UTC
Any idea if we'll get an ebuild into portage? I notice it was a month between any postings and the last one. I know of many people who would like this.
Comment 10 Chetan Sarva 2004-03-05 12:34:10 UTC
re: mcafee changes, it's a good idea to do it in the ebuild since it doesn't affect any other features. As far as permissions, everything under /lib should be 755.
Comment 11 Thierry Carrez (RETIRED) gentoo-dev 2004-03-26 02:21:43 UTC
Created attachment 28047 [details]
newest stable ebuild

New ebuild (using 4.28.6-1) with the following improvements :
- wrappers and autoupdate scripts in lib are now all executables
- virus.scanners.conf is compatible with net-mail/vlnx package location
- include the mailscanner.initd startup script as provided here
- dev-perl/Net-CIDR is now a prerequisite (emerge inject it if you installed it
by hand)
Comment 12 Thierry Carrez (RETIRED) gentoo-dev 2004-03-26 02:28:24 UTC
We still have the following problems :
- /opt/MailScanner/bin/* should probably be /usr/sbin/*
- /opt/MailScanner/lib/* should probably be /usr/lib/mailscanner/*
- /etc/MailScanner/* should probably be /etc/mailscanner
- dev-perl/Net-CIDR still not in portage
- feedback from other antivirus users for package location compatibility (I use mcafee)
- the MIME-Tools problem (which should probably be solved on Julian's side by including a modified copy of the module in his own package)

comments ? shoot
Comment 13 Chris Bond 2004-03-26 03:02:34 UTC
Path changes would be a good idea to follow gentoo standard - also clamav as an alturnative av package as its free.
Comment 14 Jeremy Heslop 2004-03-30 10:01:19 UTC
Created attachment 28381 [details]
MailScanner-4.28.6-r1.ebuild

This ebuild patches files for clamav. Changes virus.scanners.conf clamav to
point to /usr instead of /usr/local

Would this be better handled as a USE flag? like USE="clamav" emerge
MailScanner?
Just a thought. If this would be a good idea I cna do it.
Comment 15 Jeremy Heslop 2004-03-30 10:19:25 UTC
Koon,

Why did we change the ebuild to change the pid location in MailScanner.conf from /var/run/MailScanner.pid to /var/run/MailScanner/MailScanner.pid? this breaks the supplied mailscanner.initd file. Not a big problem but I'll just change it in the ebuild I submitted.
Comment 16 Jeremy Heslop 2004-03-30 10:22:12 UTC
Created attachment 28382 [details]
MailScanner-4.28.6-r1.ebuild

Changed MailScanner.pid location back as to not break mailscanner.initd
start/stop.
Comment 17 Jeremy Heslop 2004-03-30 10:24:26 UTC
Also noted is this ebuild works on ~amd64 so I added that keyword to ebuild I submitted.
Comment 18 GamesBond 2004-03-30 12:56:39 UTC
I would personally prefer to see MailScanner use the same paths as they are for redhat distro's and to keep the directories and casing of MailScanner identical with the majority. If there would, at any point, a path hardcoded into the code it would work instead of fail :) and also it would be easier to use someone else's add-ons

These are the paths when using the rpm:
The docs go here:
/usr/share/doc/mailscanner-4.29.2

The rest of the paths / files of the things that matter:
/var/run/MailScanner.pid
/var/spool/MailScanner
/etc/sysconfig/MailScanner
/etc/rc.d/init.d/MailScanner
/etc/MailScanner
/usr/lib/MailScanner
/usr/sbin/MailScanner
/usr/sbin/check_MailScanner
/usr/sbin/upgrade_MailScanner_conf

I'd like to go along with the majority of users, but this is just my $0.02 :)


Also Convert-BinHex  was added recently as a dependency of MailScanner, we should include that perl module too.
Comment 19 Jeremy Heslop 2004-03-30 16:18:13 UTC
Created attachment 28416 [details]
MailScanner-4.28.6-r1.ebuild revised

I made a couple of big changes so I should make this -r2 but I'm not :P

- Added clamav vlnx(mcafee) postfix sendmail USE options
- will change MailScanner.conf based on USE options
- made [postfix|sendmail].in files to be put into /etc/init.d
- cleaned up directory names almost to GameBond's specs more to gentoo specs.

Please test and let me know if you guys have any issues.

Jeremy
Comment 20 Jeremy Heslop 2004-03-30 16:21:02 UTC
Created attachment 28417 [details]
mailscanner.initd revised

Another mailscanner init script.

This one has corrected pid name for new ebuild and a reload function, plus it
depends on mta and mta.in which allows it to restart if the mail server gets
restarted.
Comment 21 Jeremy Heslop 2004-03-30 16:23:15 UTC
Created attachment 28418 [details]
postfix.in init

postfix.in init file for those who use postfix with mailscanner.

- has reload functionality
- provides mta.in and depends on mta

so to start mailscanner all you need to do is /etc/init.d/mailscanner start to
stop all you need to do is /etc/init.d/postfix stop

if I'm way of base someone please let me know.
Comment 22 Jeremy Heslop 2004-03-30 16:24:27 UTC
Created attachment 28419 [details]
sendmail.in init

not sure if this one works 100% because I don't use sendmail. Can someone
please test and let me know.

So how can we get this ebuild into portage?
Comment 23 Jeremy Heslop 2004-03-30 16:29:40 UTC
Created attachment 28420 [details]
MailScanner-4.28.6-r2.ebuild

ok I forgot to add check for adding postfix.in or sendmail.in based on USE
flag. So I decided to bump up the revision. Silly me.
Comment 24 MATSUU Takuto (RETIRED) gentoo-dev 2004-03-30 19:28:51 UTC
*** Bug 35078 has been marked as a duplicate of this bug. ***
Comment 25 Jeremy Heslop 2004-03-30 19:48:09 UTC
Created attachment 28428 [details]
MailScanner-4.28.6-r2.ebuild take two

Once again I forgot to add a line.

Needed to change /usr/sbin/ to /usr/bin in check_mailscanner.linux

Hopefully the last one for today. I'm tired.

Jeremy
Comment 26 Richard Brown 2004-03-31 01:28:08 UTC
I've added an ebuild for Convert-BinHex here: http://bugs.gentoo.org/show_bug.cgi?id=46332
Comment 27 Richard Brown 2004-03-31 03:16:26 UTC
Created attachment 28437 [details]
Updated MailScanner ebuild

Added dependency on COnvert-BinHex ebuild and removed pkg_postinst () and it's
no longer necessary
Added use dependencies
Changed setup virus scanner section so that if you have use clamav and vlnx
then both will be used by default.
Comment 28 Jeremy Heslop 2004-03-31 04:42:57 UTC
Comment on attachment 28428 [details]
MailScanner-4.28.6-r2.ebuild take two

Made my ebuild obsolete. Nice changes Richard.
Comment 29 Richard Brown 2004-03-31 08:41:05 UTC
Created attachment 28454 [details]
MailScanner-4.28.6-r4.ebuild

Added USE flag and dependecy for f-prot
the sed command for virus.scanners.conf for clamav wasn't updating the path so
I've combined all the updates for virus.scanners.conf to one command.

I'm not sure why MailScanner has been renamed mailscanner in the /etc and
/usr/lib directories, as this is inconsistent with the program and ebuild name?


I haven't checked if update_virus_scanners works, or check_Mailscanner, but if
they don't they need to be fixed and installed in /etc/cron.hourly not
/usr/bin. and the same with clean.quarantine, except that goes in .daily
Comment 30 GamesBond 2004-03-31 11:34:26 UTC
>>so to start mailscanner all you need to do is /etc/init.d/mailscanner start >> to stop all you need to do is /etc/init.d/postfix stop

Wouldn't it be more logical if the MailScanner init.d script would stop postfix too? I think this is what the RatHead version of the init.d script with MailScanner does. Just a thought :)
Comment 31 Jeremy Heslop 2004-03-31 13:41:51 UTC
Richard,

I was trying to stick with gentoo standards on the bin files. At least I thought.  The names can go back to capitals if that is gentoo practice. check_mailscanner and update_virus_scanners works on my amd64 system just fine. I don't think check_mailscanner should be in cron.daily if someone doesn't want it to keep going (check_mailscanner will start MailScanner if it isn't already) This is the functionality of the init.d file. update_virus_scanners gets run automatically by the MailScanner daemon nightly (by config flag I think) so it doesn't need to be in cron. check.quarantine I could not find in the default distro. Is this a new file? Everything else is awsome. I'm glad this is a team effort.

GamesBond,

I thought about having that functionality in the mailscanner init.d file. I actually had that functionality originally when building mailscanner from scratch on a gentoo box recently, but I would forsee that some people would want to restart/reload/stop/start one of the postfix processes or mailscanner independently of themselves. Maybe I'm complicating things? Anyone have any imput into this?
Comment 32 Kevin Spicer 2004-04-02 12:09:30 UTC
Hi, bit late to the game on this one but hopefully I can be of some help [I'm a new Gentoo user, but a long time MailScanner user and the maintainer of MailScanner-MRTG which I'll look at doing an ebuild for once the MailScanner ebuild makes it into portage]

update_virus_scanners isn't called by MailScanner, it needs to be run from cron - however don't get confused there are two update_virus_scanners files, both bash scripts.  One goes in /usr/sbin, the other is a wrapper script that goes in cron.hourly and calls the one in /usr/sbin.

There are also two check_MailScanners, the one in cron.hourly serves to restart MailScanner if it has stopped for some reason (the init script should create /var/lock/subsys/MailScanner.off when MailScanner is stopped to prevent it being restarted)

There is only one clean_quarantine and that should go in cron.daily.

Anyone made any progress on the MIME tools issue?  I understand that someone involved with MIMEDefang has taken over as maintainer of MIME-tools and some people are trying to get Julian's patches included.  As an interim measure I have one idea.  As part of the MailScanner ebuild download, patch and install MIME-tools in the MailScanner libs directory.  Because directories indicated by the lib pragma are checked first MailScanner would always use the customised version without affecting the unpatched MIME-tools if that is also installed.  If others agree that is a good idea I will be happy to work on implementing it.



Comment 33 Jeremy Heslop 2004-04-02 12:21:53 UTC
Kevin,

Thanks for clearing up any confusion. I have never used the "other" bash scripts that get put into cron. I will have to make sure I do that for increased reliability. Thanks for your input and for helping with any ebuild modifications. I am still new to the ebuild process, but will help where I can.
Comment 34 Richard Brown 2004-04-03 00:43:14 UTC
Hi Kevin, I've just did this yesterday in an ebuild I made for 4.28.7, it downloads Julian's patched MIME::Tools and installs it into the same libs folder. I just want to make a couple of other changes to the build and I'll post it up so every can have a look at it.
Comment 35 Richard Brown 2004-04-03 10:33:57 UTC
Created attachment 28626 [details]
First 4.29.7 ebuild
Comment 36 Richard Brown 2004-04-03 10:34:49 UTC
Created attachment 28627 [details]
conf.d/mailscanner
Comment 37 Richard Brown 2004-04-03 10:35:36 UTC
Created attachment 28628 [details]
conf.d/sendmail
Comment 38 Richard Brown 2004-04-03 10:36:05 UTC
Created attachment 28629 [details]
conf.d/sendmail.in
Comment 39 Richard Brown 2004-04-03 10:36:38 UTC
Created attachment 28630 [details]
cron.hourly/check_MailScanner
Comment 40 Richard Brown 2004-04-03 10:37:09 UTC
Created attachment 28631 [details]
cron.hourly/update_virus_scanners
Comment 41 Richard Brown 2004-04-03 10:37:47 UTC
Created attachment 28632 [details]
init,d/mailscanner
Comment 42 Richard Brown 2004-04-03 10:38:24 UTC
Created attachment 28633 [details]
init.d/sendmail
Comment 43 Richard Brown 2004-04-03 10:39:08 UTC
Created attachment 28634 [details]
init.d/sendmail.in
Comment 44 Richard Brown 2004-04-03 11:08:35 UTC
Sorry, forgot to add this as a comment to the new ebuild. And just realised that i've given the wrong names to all the other files. the correct names are cron.update_virus_scanners, cron.check_MailScanner, initd.sendmail etc. and confd.sendmail etc. and they all belong in the files subdirectory

This is an ebuild for MailScanner 4.29.7-1 - changes are:

Creates custom config directory and copies over example file (new in this version of MailScanner)

Checks for the existence of an /etc/mailscanner/MailScanner.conf and if it exists runs upgrade_mailscanner_conf on it, and the latest packaged version of the conf file. This new file is that one that is installed, so hopefully there will be few or no changes to MailScanner.conf for etc-udpate to complain about.

Sendmail actually runs as root by default on gentoo (or at least it did on mine) 
so I've stopped changing the default RUNAS for that, and also the regexp were removing the trailing whitespaces for some variables, confusing 
upgrade_mailscanenr_conf.

I've added a new use flag portage-mimetools, using it will cause MailScanner to use whatever version of MIME::tools is stable in portage, not using it will cause Julian's patched version to be installed into /usr/lib/mailscanner/MIME and this will then be used by MailScanner, before any version that may be intsalled from portage.

Looking at my redhat install MailScanner executables are installed to sbin not bin, so i've changed that.

The default gentoo init script for sendmail uses killall to stop sendmail, this meant that stopping sendmail to stop sendmail out would also kill sendmail in. So i've created a new initscript for sendmail and sendmail.in. Postifx may need similar changes, but I've not tried it yet.

The tar distribution of MailScanner doesn't include cron scripts that I can see, so I've re-created then here. upgrade_virus_scanners uses a delay variable from conf.d/mailscanner

KNOWN PROBLEMS:

The ebuild should refuse to install if neither sendmail or postfix is specified, instead it installs as sendmail without depending on it, and it installs differently from when you do specify sendmail at the moment.

check_MailScanner: the ebuild currently uses check_MailScanner.linux, however the provided check_MailScanner is newer and functionally different. The .linux version doesn't understand the -q tag used in the cron script that calls it, so outputs the PID of MailScanner to STDOUT every hour. Also, when starting, both check_MailScanner and the initscript echo "starting mailscanner"

TNEF: We currently default to using the Convet-TNEF perl module. There's also an ebuild for a non-perl version (net-mail/tnef). MailScanner can be configured to use this, so this ebuild should probably also present that option.

I haven't added a clean.quarantine cron script yet.

Still not convinced about uncapitalizing MailScanner and check_MailScanner is capitalized at the moment.

That's all I can think of at the moment, it's probably going to be a quite a few days before I have time to do anymore work on this, so if someone else wants to move the ebuild further please do, I wouldn't have been able to do this if it hadn't been for others working on the build.

use.local.desc
net-mail/MailScanner:postfix - Configure with postfix as mta
net-mail/MailScanner:sendmail - Configure with sendmail as mta
net-mail/MailScanner:clamav - Use clamav as one of the virus scanners
net-mail/MailScanner:vlnx - Use Mcafee vlnx as one of the virus scanners
net-mail/MailScanner:f-prot - Use f-prot as one of the virus scanners
net-mail/MailScanner:spamassassin - Configure to use Mail::SpamAssassin
net-mail/MailScanner:portage-mimetools - Use current portage version of MIME::Tools (defaults to own copy)

Comment 45 Kevin Spicer 2004-04-03 11:26:43 UTC
Created attachment 28637 [details]
initd.mailscanner-mta
Comment 46 Kevin Spicer 2004-04-03 11:28:38 UTC
Created attachment 28638 [details]
confd.mailscanner-mta
Comment 47 Kevin Spicer 2004-04-03 11:38:20 UTC
Damn, looks like we've been working on similar things!

I've just added two attachments init.d/mailscanner-mta and conf.d/mailscanner-mta, these do job of starting whichever mta is installed (both incoming and outgoing), either sendmail, postfix or exim (I ignored zmailer as there isn't an ebuild for it.
I've essentially reimplemented the functionality of the init script supplied with MailScanner (except for starting/stoping mailscanner itself), including the ability to start or stop only the incoming or outgoing process.

Richard, I haven't looked at your new init scripts yet (and I'm not trying to start a competition!) but it strikes me that one potential problem is that your sendmail or postfix script will collide with the script of the same name from the respective MTA ebuild.  Is /etc/init.d a protected area?  if it is that means we would have to reply on people doing the right thing with etc-update (including when they update their MTA) this could cause some support issues.
On the other hand the problem with my script is it needs to provide mta which makes depscan.sh complain.
Comment 48 Richard Brown 2004-04-03 12:01:53 UTC
Kevin, you're right. All of /etc/ should be protected so yes, although an upgrade won't break my sendmail init script, using etc-udpate after it the wrong way would. I had a look around and I can't see anyway to get out of the fact that having sendmail installed will install a sendmail initscript that provides "mta", so I decided to replace it. If we can get around the dependency thing I would also prefer a monolithic init script, especially as I see you've added start and stop in and out. 

If we were having a competition (which we're not :-)) you'd win, you've nabbed more from the RedHat init script and improved on it. I hadn't finished doing that yet.

I'll wait a while before I do anythin initscript related, see if we can get round the dependcy problem. If you've got time you could try a post to gentoo-dev, or I might when I get back to work on Monday.
Comment 49 Kevin Spicer 2004-04-03 12:13:18 UTC
From a little testing it appears that if depscan.sh finds two packages with the same provide it picks the name that is alphabetically first, so mailscanner-mta will win ahead of sendmail and postfix (but not exim).  Maybe a nice name early in the alphabet is the answer!

I'm working on a list of files in the rpm that are missing in the tarball, once I have them I'll drop Julian a line and see if I can persuade him to include them  (he is usually pretty accomodating) 
Comment 50 Kevin Spicer 2004-04-03 14:58:20 UTC
Progress on the three missing cron scripts!  Julian has kindly agreed to add them to the tarball and has even put up an unofficial tarball for us to test with.  Note that this tarball is not a full public release and at some point it will be replaced by the next beta with the same name/ release number.
www.sng.ecs.soton.ac.uk/mailscanner/files/4/tar/MailScanner-4.30.1-1.tar.gz

The scripts can be found in bin/cron
Comment 51 Kevin Spicer 2004-04-04 14:45:36 UTC
Created attachment 28703 [details]
confd.mailscanner-mta

Changes to confd.mailscanner-mta to correct the settings for exim
Comment 52 Kevin Spicer 2004-04-04 14:46:43 UTC
Created attachment 28704 [details]
initd.mailscanner

Revised mailscanner init script with following changes

Replaced mta and mta.in dependency with mailscanner-mta
Don't use start-stop-daemon as check_MailScanner isn't a daemon (the pidfile
was no use as this reflects the pid of check_MailScanner, not the MailScanner
processes themselves)
when starting & stopping return status based on check_MailScanner/ killall, not
on the final rm or touch, which may fail.
Reload return status based on success of kill command (or bad status if no
processes found)
Add restart action with sleep statement
Comment 53 Kevin Spicer 2004-04-04 14:48:06 UTC
Comment on attachment 28703 [details]
confd.mailscanner-mta

Forgot to mention that my guess earlier that the choice of which init script
that provides mta was based on its name is wrong.  I can't work out how it
selects it!
Comment 54 Kevin Spicer 2004-04-04 14:58:38 UTC
Created attachment 28705 [details]
4.30.1-1 [TEST PACKAGE] ebuild

THIS EBUILD IS AGAINST A TEST PACKAGE (which Julian added the missing files to
for us) NOT FOR PRODUCTION USE, CONTENTS OF THE TARFILE MAY CHANGE!

This now builds and works on my system (sendmail, clam, f-prot, SpamAssassin). 
I think I  have addressed several of Richards outstanding issues.  Outstanding
issues I have...
1) MIMEtools turns out to be a dependency of some of the other perl modules, so
is installed anyway [even though it won't be used].  I presume the lib pragma
in the MailScanner script is globally significant so used perl modules will use
the version of MIMEtools we install - anyone know for sure?  I also think we
should remove the option of not installing the MIMEtools patches, since its not
a good idea to give the option of something that will break MailScanner in
subtle ways.
2) conflicts with both sendmail and mailscanner-mta init scripts providing mta.


Several of the changes I've made are to make it more like the rpm installation
(esp the capitalisation).  My reason is that there are currently two default
layouts (rpm and tar) to install MailScanner, adding another different layout/
filenames will only complicate things for users when they try and get support
on the MailScanner list.
Heres my full list of changes...
Combined elsif 'use sendmail' and defaults as sendmail is default
If not virus scanner in USE then deault to Virus Scanners=none leaving Virus
Scanning=yes so that filename checks etc are still done.
Added three cron jobs from Julians package
use check_MailScanner rather than check_MailScanner.linux, as that is the
correct one.
Don't chown /var/spool/MailScanner to mail:mail for sendmail
Necessary changes to MailScanner.conf for clamav
Correct $BASEBIN to ${BASE}/sbin
make and make install mime tools, much easier
add MIMEWORKDIR variable, so it only needs to be changed in one place
Make lib directory and etc directory MailScanner not mailscanner (so as not to
confuse things when people try and follow howto's or ask for  help on the
MailScanner list etc.)
Redirect STDERR of upgrade_MailScanner_conf to /dev/null
Escaped ? id sed RE's so they work.
Generate a sensible %org-name% from the dns domain
Added exim support to ebuild
Ebuild now requires one of postfix, sendmail or exim.  If none given in use
flags then it will require sendmail by default (requiring mta isn't sufficient)

Separated DEPENDS and RDEPENDS
uild.
Comment 55 Kevin Spicer 2004-04-05 14:51:18 UTC
I have submitted a bug report on the problem caused by multiple init scripts providing the same virtual dependency.  I've also created some patches which provide a possible solution to it (by allowing the user to specify a preferred real package to satisfy a virtual dependency).
Bug #46897
Comment 56 Remco Barendse 2004-04-20 10:49:41 UTC
I tried to install the test package ebuild, when I try to install I get : 
test mailscanner # ACCEPT_KEYWORDS="~x86" emerge -uDav net-mail/mailscanner-4.30.1-r1 

These are the packages that I would merge, in order: 
Calculating dependencies 
!!! Problem in net-mail/mailscanner-4.30.1-r1 dependencies. 
!!! "Specific key requires an operator (net-mail/mailscanner-4.30.1-r1) (try adding an '=')" 

The system is an almost clean install, probably none of the perl packages are installed yet. Did I goof up somewhere or is it complaining about deps in the ebuild?
Comment 57 Chetan Sarva 2004-04-20 14:09:33 UTC
Remco, the problem is in your command line. It should be as follows:
# ACCEPT_KEYWORDS="~x86" emerge -uDav =net-mail/mailscanner-4.30.1-r1 

Notice the = before net-mail. Or you can simply do:
# ACCEPT_KEYWORDS="~x86" emerge -uDav mailscanner

which should work just the same.
Comment 58 Kevin Spicer 2004-04-20 15:32:11 UTC
Its worth pointing out at this stage, further to my previous remarks about this being a test package that Julian did specifically for us to test, Julain has now released a real (unstable) package with this number.  Therefore the ebuild I uploaded will now build that package.  There have been some (fairly serious) bugs reported with the real 4.30.1-1, so I would urge not to install this ebuild on a production system.  Once Julian gets a new package out I'll revise this (unless someone beats me to it!).  This ebuild also still needs a fair bit of work to met the Gentoo guidelines, not to mention resolving the dependency issue.
Comment 59 Remco Barendse 2004-05-01 11:22:33 UTC
4.30 final has been released :)

How can i emerge the mailscanner ebuild from bugzilla? Could not find any pointers to documents describing how to emerge ebuilds from here
Comment 60 Kevin Spicer 2004-05-01 12:58:25 UTC
Created attachment 30474 [details]
4.30.3-r1 ebuild

Updated (single line change only) for the new stable version.  I'll try and
find time soon to go through the ebuild and make sure it conforms to Gentoo
standards (which I'm sure it doesn't right now)
Comment 61 Kevin Spicer 2004-05-01 13:12:37 UTC
Remco,
I'm not sure if this is the correct way to do it, but it worked for me...

I did it by creating a local portage tree.
Create a directory /usr/local/portage
Add the following single line to /etc/make.conf
PORTDIR_OVERLAY="/usr/local/portage"
That creates the portage tree, now create the following directories
/usr/local/portage/net-mail
/usr/local/portage/net-mail/MailScanner
/usr/local/portage/net-mail/MailScanner/files
Grab the most recent) confd.mailscanner, confd.mailscanner-mta, initd.mailscanner, initd.mailscanner-mtam scripts from here and put them in the files directory you just created
Grab the ebuild and save it to /usr/local/portage/net-mail/MailScanner/MailScanner-4.30.3-r1.ebuild

Now you're ready to build MailScanner, remember that the package is currently masked so...
ACCEPT_KEYWORDS="~x86" emerge MailScanner

You WILL get this error
!!! No package digest file found: /usr/local/portage/net-mail/MailScanner/files/digest-MailScanner-4.30.3-r1
!!! Type "ebuild foo.ebuild digest" to generate it.

So...
ebuild MailScanner-4.30.3-r1.ebuild digest

Then (again)
ACCEPT_KEYWORDS="~x86" emerge MailScanner

Job done!  Obviously you still need to deal with the rc-update stuff and (re)starting MailScanner.  If this is an upgrade it is worth noting that the ebuild calls upgrade_mailscanner_conf for you to produce the new config file, but you still need to run etc-update to copy the updated config over the old one.
Comment 62 Remco Barendse 2004-05-02 02:59:02 UTC
The ebuild did install properly now, thanks for the clear howto :)

When checking the installation with a running redhat box i found some differences / issues:
/etc/init.d/mailscanner doesn't have caps, the default seems to be /etc/init.d/MailScanner

TNEF decoder (and this is important, it's required to decode rich text mails) is missing:
The perl module is installed by the ebuild but not the tnef decoder itself, we could use the ebuild as it is in portage:
net-mail/tnef

The default settings for ClamAV (workdir and permissions) need only be set if ClamAV is used with external unzip etc programs, I believe this is not the default configuration for MailScanner. It might open a security hole according to the info in MailScanner.conf

The MailScanner config file upgrade script upgrade_MailScanner_conf is not installed by the ebuild.

Then a small typo at the bottom of the ebuild: The directory /var/spool/MailScanner/archiv is created, I believe it should read archive unless we are installing in German :)

I will do some further testing, this setup will go into production later today.
Comment 63 Remco Barendse 2004-05-02 03:25:44 UTC
Sorry forgot to add 2 other bugs:
/var/spool/mqueue.in/  is not created by the ebuild

The init.d script for mailscanner fails to restart complaining about something missing after the sleep command.
Comment 64 Kevin Spicer 2004-05-02 04:43:12 UTC
Created attachment 30508 [details]
initd.mailscanner

Capitalise MailScanner
Comment 65 Kevin Spicer 2004-05-02 04:43:51 UTC
Created attachment 30509 [details]
initd.mailscanner-mta

Capitalise MailScanner
Comment 66 Kevin Spicer 2004-05-02 04:48:16 UTC
Created attachment 30510 [details]
confd.mailscanner

Adds missing RESTART_DELAY variable, so that 
/etc/init.d/MailScanner restart
works correctly
Comment 67 Kevin Spicer 2004-05-02 04:50:00 UTC
Created attachment 30511 [details]
initd.mailscanner

Fixed a typo I managed to introduce into the one I uploaded a few minutes ago. 
Sorry!
Comment 68 Kevin Spicer 2004-05-02 05:00:55 UTC
Created attachment 30512 [details]
4.30.3-r2 ebuild

Updated ebuild to address points raised by Remco, and a couple of other
points..

Capitalised names of both init scripts (and associated conf.d files)
Added runtime dependency on net-mail/tnef
Installed upgrade_MailScanner_conf [although it isn't actually requiried since
the ebuild runs it, its absense may cause some confusion]
Corrected the archiv typo
Create /var/spool/mqueue.in [NOTE: need to look at queue requirements, and
configuration for exim and postfix]
Installed Sophos.install as that was missing
Changed all the 'touch /some/path/.keep' to use the keepdir command as that is
the correct way to do it.

The one thing I havn't changed is the clam permissions.  The default clam
configuration with MailScanner will use external unpackers if the internal one
fails (which I have seen happen with some viruses), so these settings do need
to be set like this (the comment at the top of the clam wrapper explains this,
although its hardy independant confirmation as I wrote it!).  The warning in
the conf file is just a get out in case someone sets them to something stupid
(like 777)
Comment 69 Arno 2004-05-05 02:19:28 UTC
I've tried the ebuild. It seems to work just nicely, but I get these warnings when I env-update now:

 * Caching service dependencies...
 *  Service 'sendmail' already provide 'mta'!;
 *  Not adding service 'MailScanner-mta'...
 *  Service 'sendmail' already provide 'mta'!;
 *  Not adding service 'postfix'...

Is this a problem with the ebuild maybe? Can it be fixed?
Comment 70 Kevin Spicer 2004-05-05 10:13:42 UTC
Those messages are what Bug #46897 is about.
Comment 71 Remco Barendse 2004-05-10 05:50:38 UTC
MS 4.30.3-2 is released! This release fixes some issues with TNEF, pretty important.

Also I installed the latest ebuild on another system, and found the following. The MailScanner.conf file contains this line:
SpamAssassin Site Rules Dir = /etc/mail/spamassassin
But this directory does not exist on a newly installed gentoo box. Maybe we should create it.

Also for some reason the 2 virusscanners I had installed on the box before were not recognized by the ebuild and, consequently, not put in the MailScanner.conf file virus scanners was set to none as opposed to clamav f-prot

Then there is a small bug in MailScanner.conf the pid file is capitalised but the pid name in MailScanner.conf was not. The correct line should be:
PID file = /var/run/MailScanner.pid

I'll keep testing :)
Comment 72 Kevin Spicer 2004-05-10 11:20:12 UTC
According to Julian's annouce posting 
"You do not need to replace 4.30.3-1 with -2 if you have already installed it."

The tnef stuff was only updated in the rpm bundle - its an external package which we get through an ebuild, so it should be okay, or at least is outside our immediate control.

I can't find the reference to MailScanner.pid (with the capitals) where was it?

I've added creation of the /etc/mail/spamassassin dir, although if you USE spamassassin it will have been created anyway.

The virus scanner issue can be corrected by USEing f-prot and clamav, although it would seem from your evidence that these packages don't export a USE flag - so maybe we are using some ficticious USE flags.  In that case there is even more work still to do!

I'm not going to upload my updated version until I've had time to do some more work on it.
Comment 73 Priit Laes (IRC: plaes) 2004-05-15 03:09:15 UTC
Could we get this into portage for testing?
Comment 74 Remco Barendse 2004-05-23 09:39:40 UTC
Taken from from the MS mailinglist, post from Julian Field:
ANNOUNCE: Easy non-RPM installer

This is the first release of the non-RPM distribution with an install.sh
script, which handles all the Perl module installations for you.

Download from
www.sng.ecs.soton.ac.uk/mailscanner/files/4/tar/MailScanner-install-4.31.2-1.tar.gz

Unpack it somewhere safe, cd into it and run
        ./install.sh

It should build and install all the Perl modules required,
/usr/local/bin/tnef and then MailScanner itself into /opt.

Please let me know what you think. Hopefully it will make life rather
easier on non-RPM systems.

Many thanks to David Lee for all his work getting me going on this.
Comment 75 Kevin Spicer 2004-05-23 09:43:56 UTC
I have yet to look at it, but I suspect that it will install in /opt and not match the Gentoo filesystem layout.  Plus we don't really want Julians install script building the perl modules for us when we can do that with the existing ebuilds.
Comment 76 Jon Whitear 2004-06-07 22:34:34 UTC
I'm a complete noob here, so forgive me off I'm way off mark... I think there are a couple of dependencies in the ebuild (4.30.3-r2) that need updating. I had to change net-mail/postfix to mail-mta/postfix, and net-mail/clamav to app-antivirus/clamav.

Cheers,

Jon
Comment 77 Matthias Waechter 2004-06-08 05:38:46 UTC
Created attachment 32915 [details]
MailScanner-4.31.6 complete portage dir

Added. 'ebuild MailScanner-4.31.6.ebuild depend' fails as I am not a ebuild
guru yet. :-) Note: The package is already updated to the new portage
structure. It
downloads and uses the double-whopper MailScanner-install-tar.bz introduced at
V 4.31, but only uses the MailScanner-tar.bz (not the additional packages).
Tested with Sendmail, SpamAssassin, clamav + f-prot.

Just expand to your /usr/local/portage dir (it uses the mail-filter/ category)
add PORTAGE_OVERLAY="/usr/local/portage" to your /etc/make.conf (if not yet
done so)
finally: ACCEPT_KEYWORDS="~x86" emerge MailScanner

That should do the trick. If you are interested in my two tiny little feature
patches (read the changelog):
ACCEPT_KEYWORDS="~x86" USE="patch-features" emerge MailScanner

Please read the ChangeLog anyway.

PS: What I'd like to see is the return of the old MailScanner-tar.bz (not the
-install- version), maybe in addition to the itsy-bitsy install package. Can't
see a reason for downloading 5.5 Megs when only 1 Meg is actually used...
Comment 78 Matthias Waechter 2004-06-08 05:56:39 UTC
Just wanted to note the reasons for the patches in my ebuild:

A lot of (lottery-)win-sites seem to be infected by sober even if they have NAV installed. NAV seems to be only capable of replacing the bad attachment with an error text, but the mail is delivered anyway. So I had to be able to mark this attachment (in german usually "Norton Antivirus gel
Comment 79 Matthias Waechter 2004-06-08 05:56:39 UTC
Just wanted to note the reasons for the patches in my ebuild:

A lot of (lottery-)win-sites seem to be infected by sober even if they have NAV installed. NAV seems to be only capable of replacing the bad attachment with an error text, but the mail is delivered anyway. So I had to be able to mark this attachment (in german usually "Norton Antivirus gelöscht1.txt") as a Virus, not only as a bad filename which would be (a) deliverd, (b) notified to the sender and (c) dropped into the postmasters mailbox. Now, with this feature I write the following line to /etc/MailScanner/filename.rules.conf:

deny+virus+silent   Norton\sAntivirus\sgelöscht1.txt   NAV Virus-Detection Spam   Norton Antivirus is uncapable of removing Sober mails, only attachments

et voila: The mail is marked as a (silent) virus.

Second: What should be a 'silent virus' if it bothers the postmaster? So a second patch is introduced that allows to not send Postmaster notices about silent viruses. If the patch is applied, a new configuration option is available that allows enabling/disabling of silent virus notices.

The behavior of MailScanner is not changed in any way if the patches are applied but not used. Have to introduce an example filename.rules.conf entry to the next release that shows the feature's usage.

Comments are welcome. BTW: This is my first ebuild, so please indulge.
Comment 80 Remco Barendse 2004-06-08 10:30:00 UTC
There is no need to patch MailScanner to disable silent virii messages to postmaster. The right feature / config line to use in MailScanner.conf is this:
Send Notices = %rules-dir%/silent.virii.rules

I use that ruleset in another directive:
Quarantine Infections = %rules-dir%/silent.virii.rules
This way the most common and often received virii are not stored, one of each is enough for me :)

This is what I have in my silent.virii.rules:
Virus:  sobig           no
Virus:  swen            no
Virus:  dumaru          no
Virus:  mimail          no
Virus:  gibe            no
Virus:  mydoom          no
Virus:  netsky          no
Virus:  bagle           no
Virus:  cidra           no
Virus:  default         yes

But actually the MailScanner FAQ's and mailing list would be the correct place to discuss MailScanner features, not this place I think :)
Comment 81 Jon Whitear 2004-06-08 20:21:37 UTC
Matthias,

Shouldn't  the dependency on mail-filter/Mail-SpamAssassin be dev-perl/Mail-SpamAssassin?

Also, if you emerge MailScanner at 3:58 (as I did!), two minutes later, MailScanner gets started by the cron job, before you've had a chance to configure it. Perhaps we could not create the cron jobs, but provide a post-configuration script to do that later on (and brief instructions at the end of the emerge.

Cheers,

Jon

Comment 82 Matthias Waechter 2004-06-09 05:23:40 UTC
Jon, you are right. Don't know why I changed the Mail-SpamAssassin dependency.

About the configuration: You are right again. But I think that the cron job should be put in place where it instead should check for a configured MailScanner. Maybe a first-time installation should write the configuration file as MailScanner.conf.sample and the cron/init.d-scripts deny a start if MailScanner.conf is missing, as other packages do.
Comment 83 Matthias Waechter 2004-06-09 05:27:32 UTC
Remco,

> There is no need to patch MailScanner to disable silent virii messages to 
> postmaster. The right feature / config line to use in MailScanner.conf is 
> this: Send Notices = %rules-dir%/silent.virii.rules

Yes, that's one possibility. What I dislike is the splitting between an additional rules file and the feature of MailScanner already in place for specifying these silent viruses. I think, there is a lot in MailScanner that can already be done by (maybe complicated) rule sets.

> But actually the MailScanner FAQ's and mailing list would be the correct place
> to discuss MailScanner features, not this place I think :)

For sure, but I wanted to explain the motiations for putting them into the ebuild here.
Comment 84 Kevin Hanser 2004-07-27 12:28:38 UTC
Hello, 
I have recently begun playing w/gentoo (was on RH / Fedora before), and I'm trying to set up a MailScanner machine on gentoo.  I d/l and followed the instructions that Matthias Waechter  (comment #77) gave for his ebuild, but I keep getting:

emerge: there are no masked or unmasked ebuilds to satisfy "MailScanner"

I have created /usr/local/portage, and added PORTAGE_OVERLAY="/usr/local/portage" to my /etc/make.conf.

This is the command I run:
ACCEPT_KEYWORDS=~x86 emerge MailScanner

What did I miss?

I was going to install MS from source, but I'd really like to let portage do it all if possible :)
Comment 85 Matthias Waechter 2004-08-12 08:10:51 UTC
Did you unpack the MailScanner-4.31.6_complete_portage_dir to your newly created /usr/local/portage directory? Sorry to ask such a simple question.
Comment 86 Chris Kimpton 2004-08-18 10:16:47 UTC
Hi,

Thanks for the ebuild - works ok for me.

Any chance of making this more of a legit ebuild - ie so you can install it with "emerge" and "~86" without having to download it separately.  I am sure it will give it higher visibility and help with moving it into the stable category?

Regards,
Chris
Comment 87 David Brown 2004-08-24 13:50:22 UTC
Try PORTDIR_OVERLAY instead of PORTAGE_OVERLAY
Comment 88 Matthias Waechter 2004-08-25 04:11:16 UTC
Created attachment 38156 [details]
MailScanner-4.32.5-1 complete portage dir plus tnef 1.2.3.1 update (tar.gz)

Here we go: Version bump, dependency fixes, updated tnef ebuild.

Both packages are marked ~x86, so you either have to enable
ACCEPT_KEYWORDS=~x86 before emerging MailScanner, or you edit your
/etc/portage/package.keywords file accordingly. I added the following entries
to my /etc/portage/package.keywords file, so I don't require ACCEPT_KEYWORDS
any more, and all packages required by MailScanner are at least at the version
supplied by the original package:

mail-filter/MailScanner ~x86
<=dev-perl/Archive-Zip-1.12 ~x86
<=dev-perl/Compress-Zlib-1.33 ~x86
<=dev-perl/Convert-BinHex-1.119 ~x86
<=dev-perl/Net-CIDR-0.09 ~x86
<=net-mail/tnef-1.2.3.1 ~x86
<=app-antivirus/bitdefender-7.0.1.3 ~x86
<=net-nds/phpldapadmin-0.9.4b ~x86

Note that for tnef version 1.2.3.1 there is no ebuild yet in the portage tree
but that version it is distributed by MailScanner-install, so I added an
updated tnef-ebuild.

Of course, thank you David, it's PORTDIR_OVERLAY="/usr/local/portage" in
/etc/make.conf, not PORTAGE_OVERLAY.
Comment 89 Remco Barendse 2004-09-22 01:08:51 UTC
Great news (I guess)

It seems that the new developers of Mime::Tools have finally included the patches that are required by MailScanner to work correctly. The current beta release of MailScanner Version 4.34.4-1 is already based on the latest version of Mime::Tools.

Hopefully this means that we can remove the 2nd install of Mime::Tools on our boxes and the ebuild can be included in the portage tree once the new MailScanner stable is released?? :)
Comment 90 Remco Barendse 2004-10-01 02:38:19 UTC
From the MailScanner list (guess we can now get MS in portage?):

The new stable version 4.34.8 is released

When installing this release, you *MUST* upgrade to MIME-tools 5.413 and
MIME-Base64 3.03, MailScanner can no longer be compatible with previous
versions of these packages. This finally gets rid of all the patches
required to MIME-tools.

Lots of new features this month, the main ones are:

- Added "Bounce Spam As Attachment" and "Bounce MCP As Attachment" options.
- Added "Remove These Headers" setting.
- Added MIME-tools 5.413 and MIME-Base64 3.03. *****You must have these
installed.*****
- Added 4 new MCP options: "MCP Modify Subject", "MCP Subject Text",
  "High Scoring MCP Modify Subject", "High Scoring MCP Subject Text".
- Added a "generic" virus scanner. This enables you to write your own
  virus (or other "nasty content") scanner.
- Added a new setting "First Check" so you can control whether the MCP or
the spam checks are done first.
Download as usual from www.mailscanner.info
Comment 91 Kirk Lowery 2004-10-02 06:57:07 UTC
I'm in the middle of installing MailScanner using the tarball and the 4.32.5.1-r1 ebuild. My box is an amd64 and my MTA is exim.

There is an error in the ebuild:

        elif [ "`use exim`" ]; then
                # nOT SURE IF THIS IS NEEDED
                chown -R exim:exim ${D}/var/spool/MailScanner/

This generates the error "chown: `exim:exim': invalid user". This is correct because exim runs as user mail in the gentoo default installation. If exim needs to access this directory, then the user of /var/spool/MailScanner should be "mail:mail".

I assume this is the place to report my experience of installing MailScanner with exim. I could start a forum thread, if that is the proper protocol. Although I don't claim to be an expert with either exim or MailScanner, I do run both on a Debian Sarge server and I'll be following that experience on my gentoo box.

Kirk
Comment 92 Matthias Waechter 2004-10-03 14:45:13 UTC
Created attachment 41020 [details]
MailScanner-portage-dir-4.34.8.1

Version bump, various fixes - most important: use generic MIME-tools instead of
patched one. Thanks for the reports about exim usernames, hopefully fixed in
this release. tnef not in the package any more since tnef-1.2.3.1 is in the
tree.

Note that you require at least the following entries in your
/etc/portage/package.keywords for successful use, alternatively use
ACCEPT_KEYWORDS=~x86:

<=mail-filter/MailScanner-4.34.8.1 ~x86
<=dev-perl/MIME-Base64-3.05 ~x86
<=dev-perl/MIME-tools-5.413 ~x86
<=dev-perl/Archive-Zip-1.13 ~x86
<=dev-perl/Compress-Zlib-1.33 ~x86
<=dev-perl/Convert-BinHex-1.119 ~x86
<=dev-perl/Net-CIDR-0.09 ~x86
<=net-mail/tnef-1.2.3.1 ~x86
Comment 93 Matthias Waechter 2004-10-03 15:12:15 UTC
Created attachment 41027 [details]
MailScanner-portage-dir-4.34.8.1-r1.tar.gz

Thanks Kirk for your input, should've read your PM prior to posting the release
:-)

Fixed cron job error (still referred to /opt binary).
Comment 94 Kirk Lowery 2004-10-04 09:43:16 UTC
There's an error in the latest ebuild: 

emerge: there are no masked or unmasked ebuilds to satisfy ">=dev-perl/Archive-Zip-1.13"

According to package.gentoo.org, 1.12 is the latest version. /usr/portage/package.keywords "<=dev-perl/Archive-Zip-1.13 ~x86" will not override this.

Fix: change RDEPEND to ">=dev-perl/Archive-Zip-1.12"

Also, I needed to add:

>=dev-perl/Net-DNS-0.40 ~amd64

to /etc/portage/package.keywords, in addition to list given by Matthias above.
Comment 95 Remco Barendse 2004-10-09 06:50:13 UTC
Will the new ebuild automatically remove the second installation of the patched MIME::Tools that we needed for previous versions? Or do we need to do that by hand (how?)
Comment 96 Remco Barendse 2004-11-05 00:41:31 UTC
4.35.11-1 is released. Maybe a good time to include MailScanner in the standard portage tree? :)
Comment 97 Kirk Lowery 2004-11-05 11:04:52 UTC
Doesn't it take some Gentoo developer to "adopt" mailscanner first, before it goes to portage? Shouldn't the ebuild work with all the major MTAs before it's released?

I've got things more or less working with exim, and have detailed notes on how I did it. But my ebuild skills are really primitive, never mind any knowledge of "best practices". (The latest portage complains about the use of sed in a "global" setting, for example.) I'd be happy to work with someone to get the mailscanner+exim scenario right.
Comment 98 Matthias Waechter 2004-11-08 13:16:47 UTC
Created attachment 43548 [details]
MailScanner-portage-dir-4.35.11.1.tar.gz

New Version!

From the ChangeLog:

+MailScanner-4.35.11.1.ebuild:
Thanks to Kirk Lowery for exim testing and suggesting.
Version bump. Added automatic setup of MTA in conf.d script for
MailScanner-mta.
Added use-flag for 'doc'.
Removed sed script from version number calculation.
Virus Scanning now updated to be disabled when no virus scanner is used.
Updated Archive-Zip and MIME-tools dependencies to match Mailscanner-install-
delivered versions.
Updated SENDMAIL2 option for exim.
Added check for 'provide mta' in /etc/init.d/MTA start script, writes a warning
if found. Added info that it should be avoided that etc-update re-inserts
'provide mta' to /etc/init.d/MTA.
Comment 99 Remco Barendse 2004-11-11 01:17:10 UTC
Thanks for the e-build. I unmerged my ancient MailScanner ebuild and emerged the new version. Couple of small remarks:
Location of the sendmail binary is set to /usr/lib/sendmail which is a symlink. Wouldn't it be better (more stable) to have this point to the actual binary in /usr/sbin/sendmail ?

By default virus scanners are not recognized / enabled. I have clamav and f-prot installed, it would be nice if the ebuild would detect this and use them in the config by default.

Lastly, I noticed that the MailScanner upgrade script is missing. I know that this could be done by etc-update but the script that Julian provides with MailScanner is remarkably easy to use, much easier than etc-update. But this is just a personal preference, maybe we can have the script included too.

Otherwise everything installed without problems.

(When unmerging the old ebuild I noticed that the old ebuild did not clean up properly. The init.d scripts were left in place, the MailScanner file in /etc/runlevels/default was left in place as was the script in cron.hourly, as were two files in conf.d) Don't know if this is intentional, I guess that the runlevel and init scripts should have been removed?
Comment 100 Andreas Sahlbach 2004-11-14 07:35:17 UTC
Nice work guys. I just emerged MailScanner with it. I already had postfix/cyrus-imap working. Couple of remarks:

1) Still missing is the initial setup of postfix conf files (to split it up into two configs etc.) This looks like a straight-forward job and could be done in the ebuild.

2) There is a config setting in main.cf regarding spamassassin together with postfix. 
#SpamAssassin User State Dir = /var/spool/MailScanner/spamassassin
This setting should be commented in by the ebuild if postfix setup is used.

Anyway: great work guys. keep on going. this needs to be part of portage.
Comment 101 j. 2004-12-28 10:03:07 UTC
unlike with sendmail, you only need a single instance of postfix instead of two.
see for instance: http://www.sng.ecs.soton.ac.uk/mailscanner/install/postfix.shtml
Comment 102 Darren Martz 2005-01-02 05:14:33 UTC
What are the steps to using this ebuild, beyond creating a private portage?

When I ran emerge it was looking for the source on the mirror sites. Is there another step required prior to emerge? Sorry for the dumb question, I'm still learning how ebuilds work.
Comment 103 Remco Barendse 2005-01-05 04:22:45 UTC
When would MailScanner be added to portage? I would really like to have it in portage. It is very stable and I doubt that there ever will be a solution for the provides mta issue.

Why not throw it into portage marked unstable?

(A new version of MailScanner was released 1st of Jan by the way)

Thanks!
Comment 104 Thierry Carrez (RETIRED) gentoo-dev 2005-01-05 07:41:37 UTC
You have to convince the net-mail herd to take it under its wing. A package like MailScanner can be tough to maintain because there are lots of new versions coming out. 

When/if I get portage CVS access I might take it but your safest bet is to convince someone from the net-mail herd.
Comment 105 mack 2005-01-25 10:44:05 UTC
I'm working on an ebuild for 4.37.7-1, based on your latest portage overlay package.  I'm also trying to build in optional dcc(proc), pyzor and razor support.  dccproc support will require an additional ebuild to be included in your mail-filter portage overlay dir.  Once I have all of this worked out, how should I submit my proposed "MailScanner-portage-dir-4.37.7.1.tar.gz" file to the folks that are working on this so that it can be more thouroughly tested?

thanks!
Comment 106 Chris Lyon 2005-01-31 19:49:42 UTC
Created attachment 50093 [details]
MailScanner-4.38.9 complete portage dir

From the ChangeLog:
*MailScanner-4.38.9.1 (31 Jan 2005)
 
  31 Jan 2005; Chris Lyon <cslyon@affant.com>
  +MailScanner-4.38.9.1.ebuild:
  Changed the dependencies for MIME-tools and HTML-Parser
  Moved the upgrade_MailScanner_conf check to the end of the ebuild
  Add a check for when the upgrade_MailScanner_conf should run	
  Saved the old MailScanner.conf but only if this was an upgrade
    Note: MailScanner.conf.pre_upgrade will be the old copy

I have also included the ebuilds for HTML-Parser and MIME-tools because they
are not up to date in the portage tree. 

This should work for everybody but if not let me know.
Comment 107 Ken R 2005-02-06 14:36:35 UTC
Your "MailScanner-4.38.9 complete portage dir" is working fine on one of my
production servers. I'll attempt on a larger one later tonight. 
(Good to see this, I had already did my own, but wanted to check yours.)

A path in /etc/cron.hourly/check_MailScanner needs changed:
- /opt/MailScanner/bin/check_MailScanner -q # >/dev/null 2>&1
+ /usr/sbin/check_MailScanner -q # >/dev/null 2>&1

And this Extremely Important and Useful "Moving Target" has updated again:
02/02/2005  	Released stable version 4.38.10. Fixed one bug if handling of phishing.safe.sites.conf file.

Thanks very much to all here who have contributed.

If anyone is running a MTA, they must use MailScanner in front of it.
Comment 108 Kostas Kavourakis 2005-03-01 07:33:24 UTC
Created attachment 52388 [details]
MailScanner-portage-dir-4.39.5-1.tar.gz

Overlay for the latest version of MailScanner.
Comment 109 Chan Min Wai 2005-03-12 21:03:16 UTC
Seem to be I can't work with the way you all are using
I've untar.gz the MailScanner-4.38.9 complete portage dir to /usr/local/portage/
configure PORTDIR_OVERLAY="/usr/local/portage in /etc/make.conf

and # ACCEPT_KEYWORDS="~x86" emerge MailScanner 
WILL NOT WORK.

I've to emerge the ebuild directly...
ACCEPT_KEYWORDS="~x86" emerge /usr/local/portage/mail-filter/MailScanner-4.39.5.1.ebuild

Is that normal or I've leave one step?
Comment 110 Chan Min Wai 2005-03-12 21:04:35 UTC
Shouldn't Assigned To being reassign to mail-filter?
Comment 111 Kevin Spicer 2005-03-13 04:18:48 UTC
I think you need to have a subdirectory of mail-filter called MailScanner, and put the ebuild within that
Comment 112 Chan Min Wai 2005-03-15 04:48:23 UTC
I've some problem setting this up with postfix...
anyone have any doc on this?
Comment 113 Jeremy Heslop 2005-03-15 04:59:42 UTC
I have a HowTo on setting up MailScanner with Postfix, ClamAV, and Spammassassin here:
http://footon.jheslop.com/howto/anti-virus-spam-howto.html

It doesn't use the ebuild as there wasn't a very good one at the time, but it should give you a feel on how to set it up. Email if if you have any more questions.
Comment 114 Chan Min Wai 2005-03-15 10:49:05 UTC
There are 2 documentation that I can search for so far:

1) http://footon.jheslop.com/howto/anti-virus-spam-howto.html

2) http://www.sng.ecs.soton.ac.uk/mailscanner/install/postfix.shtml

According to my Personal testing. the 1st Method will not scan you mail if you are sending from Local (using mail foo@foor.bar.com)
And that include fetchmail.

Please correct me if I'm wrong out Mailscanner is setting to the 1st way.

And I think we need some changes..

The 2nd way, for what I try, it work for Local and smtp so I think the 2nd way is a better options...

Please help to make some changes...
Comment 115 Chan Min Wai 2005-03-26 12:23:47 UTC
I've create an HOWTO on gentoo-wiki, http://gentoo-wiki.com/HOWTO_Email_Virus_Scanner_--_Mailscanner

Please correct me if you see anything wrong.
Comment 116 msalerno 2005-03-30 09:01:48 UTC
Using the latest ebuild, I was able to setup - Postfix(chroot)-MailScanner-DBMail with sasl and tls.  This is a great e-build, and it's a shame that it's not part of portage yet.

With my configuration, I needed to disregard the MailScanner-mta script and comment out MailScanner-mta from the MailScanner init script.

need net # MailScanner-mta

Works great
Comment 117 msalerno 2005-03-30 09:03:37 UTC
Forgot to include this in my last post.

My notes are posted on the forums at:
http://forums.gentoo.org/viewtopic-t-312591-highlight-.html
Comment 118 Chan Min Wai 2005-05-17 08:27:40 UTC
Any new update so far...
It have be more hen 1 year...
Comment 119 Łukasz Mierzwa 2005-05-26 07:23:16 UTC
MailScanner-portage-dir-4.39.5-1.tar.gz contains MIME-tools ebuild, this ebuild have dependencies set 
to:
dev-perl/Digest-MD5
dev-perl/MIME-Base64
it should be:
perl-core/Digest-MD5
perl-core/MIME-Base64

MailScanner ebuild have dependencies set to:
dev-perl/ExtUtils-MakeMaker
dev-perl/File-Spec
dev-perl/MIME-Base64
dev-perl/File-Temp
while it should be:
perl-core/ExtUtils-MakeMaker
perl-core/File-Spec
perl-core/MIME-Base64
perl-core/File-Temp
Comment 120 Jeremy Heslop 2005-05-27 12:55:49 UTC
Chan Min Wai,

Thanks for pointing out that my howto at
http://footon.jheslop.com/howto/anti-virus-spam-howto.html does not scan both
incoming and outgoing mail. The documentation on the mailscanner website had
changed since I made that howto. I have updated it to reflect those changes.
Thanks for a great wiki! You are noted in my howto,

Jeremy

(In reply to comment #113)
> There are 2 documentation that I can search for so far:
> 
> 1) http://footon.jheslop.com/howto/anti-virus-spam-howto.html
> 
> 2) http://www.sng.ecs.soton.ac.uk/mailscanner/install/postfix.shtml
> 
> According to my Personal testing. the 1st Method will not scan you mail if you
are sending from Local (using mail foo@foor.bar.com)
> And that include fetchmail.
> 
> Please correct me if I'm wrong out Mailscanner is setting to the 1st way.
> 
> And I think we need some changes..
> 
> The 2nd way, for what I try, it work for Local and smtp so I think the 2nd way
is a better options...
> 
> Please help to make some changes...

Comment 121 Chris Kimpton 2005-06-03 13:47:11 UTC
bump - anyone looking into the dependency changes noted by prymitive.

Thanks,
Chris
Comment 122 Chris Kimpton 2005-06-04 04:34:49 UTC
Created attachment 60570 [details]
MailScanner-portage-dir-4.43.2-1.tar.gz

I've briefly used this ebuild so far and it "seems" ok.
Comment 123 Chris Kimpton 2005-06-04 04:35:47 UTC
Comment on attachment 60570 [details]
MailScanner-portage-dir-4.43.2-1.tar.gz

Updated for latest mailscanner version and perl-core gentoo changes
Comment 124 Martin Hierling 2005-06-07 13:53:23 UTC
Why do you care so much about starting a mta?
Why not let the system rc scripts do that? 
That removes a great deal of flexibility from the start process.
What if i have not sendmail/postfix/exim?
I have exim installed in the way that i use only one configuration file, so this
is useless for me!

My exim.conf looks like this:
...
SPOOL = /var/spool/exim/
spool_directory = SPOOL
...

and then i start the MTAs like this:
/usr/sbin/exim -bd -odq -DSPOOL=/var/spool/exim.in/
/usr/sbin/exim  -q15m

that does the trick with only 1 configfile.
but back to question one, what i dont understand is the "provide-mta" and the
mta startup. Mailscanner is NOT a MTA nor should it be!

BTW, i have added 4.43.2-1 to the german portage overlay at
http://www.gentoo.de/viewcvs/?root=gentoo-x86, if you would like to rsync ...

Comment 125 Chris Kimpton 2005-06-12 06:31:18 UTC
Created attachment 61111 [details]
MailScanner-portage-dir-4.43.2-1.tar.gz (better)

Fixes an error with one of the related packages.
Comment 126 Thierry Carrez (RETIRED) gentoo-dev 2005-06-30 05:37:55 UTC
MailScanner is a great package in need of a father.
Comment 127 Devdas Bhagat 2005-07-05 14:46:11 UTC
Mailscanner is known to have issues with Postfix, and there have been reports of
mail loss caused by mailscanner. If this ever gets into portage, can the ebuild
be flagged to refuse to work with Postfix?
Comment 128 Kevin Spicer 2005-07-05 15:48:09 UTC
The postfix issues were, as far as I'm aware, rather a long time ago now.  The
problem is that the postfix developers don't like MailScanners architecture and
have been rather vocal about saying so.  From what I understand they would like
everything to use their plugin architecture and aren't prepared to even discuss
any other option (other than in negative terms).  Naturally this doesn't
necessarily tell the whole story - there are problems too with milter type
solutions, but this isn't the right forum for those discussions.  What I can say
is that the Julian Field has been very responsive to all issues relating to
postfix support by MailScanner (and indeed pretty much any bug type issue with
MailScanner - in fact he's probably one of the most responsive developers
around!)  There are many many people sucessfully using MailScanner with postfix,
and plenty of support available for that combination on the MailScanner list.

A quick google reveals that you have posted this opinion several times elsewhere
 (in fairness I've posted my opinion around a bit too in response to people
raising this issue).  I'm not quite sure what brings you here (as your opinions
suggest you're not a MailScanner user), but I'll do you the courtesy of assuming
your motives are pure :)  As I said I don't think this is the correct forum for
discussion of postfix/MailScanner interaction, however if you do genuinely feel
there are still real problems using postfix with MailScanner may I suggest we
continue on the MailScanner list (
http://www.jiscmail.ac.uk/cgi-bin/webadmin?SUBED1=mailscanner&A=1 ).  If you
could bring along some specific examples I'm sure that Julian and the list will
be happy to assist you in squashing any outstanding bugs.

Regards

Kevin

[Full disclosure: I have made minor contributions to MailScanner in the past and
I am the current maintainer of MailScanner-MRTG, I also use sendmail on my
MailScanner installations, I do use postfix, but not on my MX's. ]
Comment 129 Mark 2005-07-17 00:28:14 UTC
I get errors about a missing /var/spool/postfix.in/deferred directory. I dont
see any instructions on how to create this and what to change in main.cf. I have
changed the reference in Mailscanner.conf to refer to
/var/spool/postfix/deferred. I hope this is right. Are there any instructions
anywhere on how to setup Mailscanner for postfix under gentoo? Also the
Mailscanner-mta doesnt work as it referd to non-existent postifix config file.
Comment 130 Chan Min Wai 2005-08-13 21:45:04 UTC
ok now this ebuild have been get into this stage.... maintainer-wanted@gentoo.org

what is the next step?
Comment 131 Martin Holzer (RETIRED) gentoo-dev 2005-10-03 21:43:55 UTC
Check /etc/conf.d/MailScanner-mta                                         [ !! ]
 * DO NOT USE EXIT IN INIT.D SCRIPTS
 * This IS a bug, please fix your broken init.d
 * Starting MailScanner ...                                               [ ok ]
Comment 132 Martin Holzer (RETIRED) gentoo-dev 2005-12-04 15:47:01 UTC
1/12/2005 Released stable version 4.48.4 
Comment 133 Chan Min Wai 2006-01-07 03:58:27 UTC
How to get the files from the portage?
Comment 134 Pawel Sulkowski 2006-01-20 07:56:35 UTC
Before emerging you have to edit file: PORTAGE_OVERLAY/dev-perl/MIME-tools-5.417.ebuild

...and change dev-perl/libnet to perl-core/libnet in depend section.

Regards,
Pawel Sulkowskki
Comment 135 Chris Kimpton 2006-02-12 13:11:16 UTC
Created attachment 79605 [details]
Updated for latest version of mailscanner and its dependancies, also fixed gentoo package change of libnet
Comment 136 Carsten Lohrke (RETIRED) gentoo-dev 2006-02-12 17:23:13 UTC
- No one will look at binary attachments, plain text please.
Comment 137 Chris Kimpton 2006-02-12 23:00:02 UTC
Created attachment 79648 [details]
MailScanner-portage-dir-4.50.15-1.tar.gz

Updated ebuild for latest version of mailscanner and its dependancies, also fixed gentoo package change of libnet  - MailScanner --lint does a quick check of the install.
Comment 138 uxbod 2006-05-10 10:54:55 UTC
I would be willing to help maintain and test this package. How can we achieve getting this into Portage ?
Comment 139 Tuan Van (RETIRED) gentoo-dev 2006-05-10 13:52:26 UTC
(In reply to comment #137)
> I would be willing to help maintain and test this package. How can we achieve
> getting this into Portage ?
> 

something like

1. find a dev who is willing to maintain this package. for example, send an email to gentoo-dev ML convince them why this one should be in portage and you are willing to resolve any bugs associate with this package. One of them might like it and commit.
2. get recruit and become a dev. But a quick search on bugzilla using your email come up with only 2 hits (include this one) so the chance are low.

HTH
Comment 140 Clifford Dann 2006-06-15 08:54:55 UTC
After trying to download the MailScanner-portage-dir-4.50.15-1.tar.gz on several different m/c I can not un-pack it.
Comment 141 Chris Kimpton 2006-06-15 10:04:29 UTC
Hi Clifford,

Works for me ;-)  Sort of - IE on windows is ok, links on linux is ok, but firefox  1.5 on windows seems to corrupt the file on downloading it.

HTH,
Chris
Comment 142 Kirk Lowery 2006-06-19 05:06:37 UTC
I can confirm Firefox's behavior: something happens to the download. Konqueror does the same thing (does it use Gecko, too?)

Workaround: use the program 'links'
Comment 143 Kirk Lowery 2006-06-19 05:18:09 UTC
The dependency '>=perl-core/ExtUtils-MakeMaker-6.05' now blocks MailScanner.

According to http://bugs.gentoo.org/show_bug.cgi?id=134411 this functionality is now in perl itself and no longer necessary. All ebuilds have been masked with intent to remove from portage.

Kirk
Comment 144 Arjan Schrijver 2006-06-19 05:33:34 UTC
Created attachment 89523 [details]
Updated overlay directory

I've used this version for quite some time now, and it works deliciously.
It's the latest MailScanner version and the ExtUtils-MakeMaker dependency is removed.
Comment 145 Markus Ullmann (RETIRED) gentoo-dev 2006-07-02 08:30:38 UTC
Created attachment 90694 [details]
MailScanner-4.54.6.1.ebuild

Cleaned up the ebuild
-- 
This is now in the sunrise overlay. You can find it at:

http://gentoo-sunrise.org/svn/reviewed/mail-filter/MailScanner/MailScanner-4.54.6.1.ebuild
Comment 146 Kenneth 2006-07-26 05:58:54 UTC
Created attachment 92779 [details]
Filesystem::Df support

There seems to be a missing perl module, Filesystem::Df (df for perl).
That package is now in perl module Statvfs-Statfs-Df (combi package).

Since I haven't been able to find this in the portage tree, I made an ebuild for the latest version.
Comment 147 Chan Min Wai 2006-08-02 02:55:37 UTC
The portage on sunrise have a missing keyword for amd64.
http://gentoo-sunrise.org/svn/reviewed/mail-filter/MailScanner/MailScanner-4.54.6.1.ebuild

Can anyone mind to add it?

Regards,
Comment 148 Chan Min Wai 2006-08-05 00:06:49 UTC
Can anyone open an ebuild for the Filesystem::Df support? and can add them to the layman sunrise portage.
Comment 149 Chris Kimpton 2006-08-12 00:23:25 UTC
Hi,

Thanks for the ebuild file - but its not working for me- trying to get a digest and it is failing to download from cpan.mirror.fr.

TIA,
Chris

(In reply to comment #145)
> Created an attachment (id=92779) [edit]
> Filesystem::Df support
> 
> There seems to be a missing perl module, Filesystem::Df (df for perl).
> That package is now in perl module Statvfs-Statfs-Df (combi package).
> 
> Since I haven't been able to find this in the portage tree, I made an ebuild
> for the latest version.
> 
Comment 150 Chris Kimpton 2006-08-12 03:39:23 UTC
A little more research and it seems there is a clash - Df and DiskSpace do the same thing...

http://permalink.gmane.org/gmane.mail.virus.mailscanner/39170

... but which is correct Df or Diskspace?

Thanks,
Chris

(In reply to comment #148)
> Hi,
> 
> Thanks for the ebuild file - but its not working for me- trying to get a digest
> and it is failing to download from cpan.mirror.fr.
> 
> TIA,
> Chris
> 
> (In reply to comment #145)
> > Created an attachment (id=92779) [edit]
> > Filesystem::Df support
Comment 151 Chan Min Wai 2006-09-09 15:09:20 UTC
Created attachment 96524 [details]
MailScanner-4.54.6.1.ebuild

MailScanner-4.54.6.1.ebuild with amd64
Anyone can update the version on sunrise layman?
Comment 152 Chan Min Wai 2006-09-14 11:49:35 UTC
Created attachment 96990 [details]
Stable Mailscanner 4.55.10-3 ebuild

A new Ebuild with some know bug fixed.
1. tnef 1.4.1 utf-16 Crash--> tnef 1.4.3
2. Build fail on Sys-Syslog-0.17 --> Sys-Syslog-0.18

Both of the bugs is reported on Mailscanner Mailling list.
Comment 153 Chan Min Wai 2006-09-14 11:50:37 UTC
Created attachment 96992 [details]
tnef-1.4.3.ebuild

Tnef-1.4.3.ebuild which is not on the portage yet.

but required by the new version.
Comment 154 Chan Min Wai 2006-10-05 01:12:56 UTC
Ebuild now is with sunrise portage.
Comment 155 jcat 2007-06-12 11:54:20 UTC
What's happening with this?
Is it ever going to get into portage?
This bug is over three years old...


Cheers,
jcat
Comment 156 Markus Ullmann (RETIRED) gentoo-dev 2007-08-07 10:28:29 UTC
(In reply to comment #155)
> What's happening with this?
> Is it ever going to get into portage?
> This bug is over three years old...

MailScanner ebuild is a hell to maintain (look at the current version in the sunrise overlay), though if you want to help out, I'd be the last one to deny this request.
Comment 157 Sean Reynolds 2007-08-11 13:00:26 UTC
(In reply to comment #156)
> (In reply to comment #155)
> > What's happening with this?
> > Is it ever going to get into portage?
> > This bug is over three years old...
> 
> MailScanner ebuild is a hell to maintain (look at the current version in the
> sunrise overlay), though if you want to help out, I'd be the last one to deny
> this request.
> 
I'm game to help out.  
It's just keyworded to ~x86, I know it works under AMD64.   
And that ebuild is pretty crazy.  
I dig the program though.  I'd like to keep it going.
Comment 158 Thomas Raschbacher gentoo-dev 2007-09-22 11:11:21 UTC
sounds interesting... 
anyone still into this or is this whole thing now on sunrise only for now?
Comment 159 Jakub Moc (RETIRED) gentoo-dev 2007-09-22 11:14:15 UTC
(In reply to comment #158)
> sounds interesting... 
> anyone still into this or is this whole thing now on sunrise only for now?

It's semi-maintained in sunrise, if you want it, feel free. As said above, the thing is a PITA to maintain. :) 

Comment 160 Markus Ullmann (RETIRED) gentoo-dev 2008-03-20 15:51:15 UTC
Finally found its way into portage CVS
Thanks to all involved :)